Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		mjpegtools
Version:	1.9.0
Release:	4
License:	GNU/GPL 
URL:		http://mjpeg.sourceforge.net/
Group:		Video
Source0:	%{name}-%{version}rc3.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux.
Prereq(post,preun): /sbin/install-info
Requires:	atk glibc pango libpng SDL gtk+
BuildRequires:	atk-devel glibc-devel pango-devel libpng-devel SDL-devel gtk+-devel
BuildRequires:	libquicktime-devel libdv-devel SDL_gfx-devel

Patch0:         mjpegtools-cpuinfo.patch
Patch1:         mjpegtools-includes.patch
Patch2:         mjpegtools-getopt.patch
Patch3:         mjpegtools-writeable_strings.patch
Patch4:         mjpegtools-gcc43.patch

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.
For more details see: http://mjpeg.sourceforge.net/

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/mjpeg-howto.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/mjpeg-howto.info.gz %_infodir/dir
fi 

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}rc3
%patch0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
echo "" > cpuinfo.sh

%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O2/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
# Building mjpegtools
./configure --prefix=%_prefix \
--enable-large-file \
--mandir=$RPM_BUILD_ROOT%_mandir \
--infodir=$RPM_BUILD_ROOT%_infodir
make

%install
make prefix=$RPM_BUILD_ROOT%_prefix INSTALL_INFO= install

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_infodir
%_mandir

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 23 2008 Christian Wasem <wasem@ccux-linux.de> 1.9.0-4
- rebuild against new SDL_gfx
* Sun May 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.9.0-3
- backstep to rc1 because mpeg2enc is broken in rc2
* Sun May 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.9.0-2
- added lowered build flags
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.9.0-1
- Version Update to rc2
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.8.0-2
- Moved necessary files to main package
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 1.8.0-1
- Update to Version 1.8.0
